glibmm: Gio::SocketConnectable Class Reference

# Gio::SocketConnectable Class Reference
[Portable Network I/O Functionality]

Interface for potential socket endpoints. More...

`#include <giomm/socketconnectable.h>`

Inheritance diagram for Gio::SocketConnectable:
[legend]

List of all members.

## Public Member Functions

virtual | ~SocketConnectable ()
GSocketConnectable* | gobj ()
| Provides access to the underlying C GObject.
const GSocketConnectable* | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr < SocketAddressEnumerator > | enumerate ()
| Creates a SocketAddressEnumerator for connectable.

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Gio::SocketConnectable > | wrap (GSocketConnectable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Interface for potential socket endpoints.

Since glibmm 2.24:

## Constructor & Destructor Documentation

virtual Gio::SocketConnectable::~SocketConnectable | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gio::SocketConnectable::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Glib::RefPtr<SocketAddressEnumerator> Gio::SocketConnectable::enumerate | ( |  | ) |

Creates a SocketAddressEnumerator for connectable.

Since glibmm 2.22:

Returns:
  A new SocketAddressEnumerator.

const GSocketConnectable* Gio::SocketConnectable::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gio::InetSocketAddress, Gio::NetworkAddress, Gio::NetworkService, and Gio::SocketAddress.

GSocketConnectable* Gio::SocketConnectable::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gio::InetSocketAddress, Gio::NetworkAddress, Gio::NetworkService, and Gio::SocketAddress.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::SocketConnectable > wrap | ( | GSocketConnectable * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.